Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 02 Sep 2014, 23:21
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
aMsn 0.98B SVN 10952
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [12 Posts]  
Author Message
futurnet

Joined: 31 Jan 2009
Posts: 62
Location: Italy

PostPosted: Thu 12 Feb 2009, 05:12    Post subject:  aMsn 0.98B SVN 10952
Subject description: latest famous chat client
 

After much hours of fighting with compiling issue I win and finally I have compiled the last SVN version of aMsn 0.98B with video and audio conference. (missing in the old amsn 0.97.2) Unfortunately Puppy miss gstream and plugins libraries need to the last aMsn.
So I had to compile many libraries on my own.
Some of them are just present in this forum, but I prefere compile my self because for work properly with aMsn 0.98 this libraries need to be installed in /usr/lib and compiled with some options enable.
In the aMsn pet package I added and configurated also TLS 1.50 and snack 2.2 libraries so you don't need to make yourself it.
In order to install aMSN 0.98, you will need to have the following dependencies installed in this exact sequence on your system:

glib - just present in puppy but out of date for aMsn 0.98
gstreamer
pyobject
pygtk
gst-python
liboil
gst-plugin-base
gst-plugins-good
gst-plugins-bad
gst-plugins-farsight
libnice
farsight2
TCL
TK


and finally:

amsn-0.98-SVN

here you can get all pets you need:

http://www.mediafire.com/?sharekey=b15ac125ddd000a361d4646c62b381cb3379befde870050f5be6ba49b5870170

================================================================

If you prefere I have made a simple SFS module so, now you don't need to make a long installation but simply load this module on puppy and you will have aMsn 0.98 working.
I didn't test on my computer. Please let me know if it work. Thanks.

aMsn-0.89B-SVN-I686_412.sfs

http://www.mediafire.com/?sharekey=b15ac125ddd000a361d4646c62b381cb9db31fe13ffdcc82c95965eaa7bc68bc

Last edited by futurnet on Fri 12 Feb 2010, 07:25; edited 3 times in total
Back to top
View user's profile Send private message 
T_Hobbit


Joined: 27 May 2006
Posts: 400
Location: Portugal - Lisbon

PostPosted: Fri 13 Feb 2009, 18:12    Post subject:  

Quote:
(missing in the old amule 0.97.2)

aMule? Please, give it to me without the root warning!!! Razz

_________________
T_Hobbit
Idea Rebuilding old DOS Machine for Wing Commander Privateer and Puppy Exclamation Old spare parts to give away - anyone interested Question
Back to top
View user's profile Send private message 
futurnet

Joined: 31 Jan 2009
Posts: 62
Location: Italy

PostPosted: Sat 14 Feb 2009, 09:06    Post subject:  

I just compiled latest SVN amule without root warning look here:

http://murga-linux.com/puppy/viewtopic.php?search_id=1914845829&t=38404
Back to top
View user's profile Send private message 
T_Hobbit


Joined: 27 May 2006
Posts: 400
Location: Portugal - Lisbon

PostPosted: Sun 15 Feb 2009, 08:26    Post subject:  

Yes. I found it right after my previous post!
_________________
T_Hobbit
Idea Rebuilding old DOS Machine for Wing Commander Privateer and Puppy Exclamation Old spare parts to give away - anyone interested Question
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2455
Location: Texas, USA

PostPosted: Sat 07 Mar 2009, 17:31    Post subject:  

futurnet

Thank you for your new aMsn-0.89B-SVN-I686_412.sfs. It solved a problem that I've had trying to get amsn working in the new Pup 4.2 since it works great with it.

Thanks,
Jim
Back to top
View user's profile Send private message 
ecomoney


Joined: 25 Nov 2005
Posts: 2183
Location: Lincolnshire, England

PostPosted: Mon 23 Mar 2009, 19:09    Post subject:  

What is the status of this package as of 23/03/2009? I cant seem to find anything on the amsn forums for their current development work.

Its going to be needed for a rather useful project

_________________
Puppy Linux's Mission

Sorry, my server is down atm!
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
ecomoney


Joined: 25 Nov 2005
Posts: 2183
Location: Lincolnshire, England

PostPosted: Fri 03 Apr 2009, 07:32    Post subject:  

Ive tested the sfs and got it to work in puppy 4.2, all seems good. The only problem is when setting up the webcam, I come across the error attached about the farsight extention not being loaded. Perhaps this wasnt included in the sfs?
farsight-amsn-error.jpg
 Description   
 Filesize   35.48 KB
 Viewed   659 Time(s)

farsight-amsn-error.jpg


_________________
Puppy Linux's Mission

Sorry, my server is down atm!
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
ecomoney


Joined: 25 Nov 2005
Posts: 2183
Location: Lincolnshire, England

PostPosted: Fri 03 Apr 2009, 08:04    Post subject:  

Here is another screenshot of the audio/video setup page, when the "details" button is pressed. It states:-

Code:

Farsight : Preparing
Farsight Prepare error : couldn't load file "utils/farsight/tcl_farsight.so": /usr/lib/libgstbase-0.10.so.0: undefined symbol: g_assertion_message_expr


From what I understand from the amsn wiki here this library is needed to make audio conversations.

I think this translates as the tcl_farsight.so (which is definetely present at the location) had an error with an undefined symbol in the libgstbase (gstreamer) when trying to load it. This is a gstreamer bug rather than a farsight bug?
amsn-error2.jpg
 Description   
 Filesize   44.11 KB
 Viewed   632 Time(s)

amsn-error2.jpg


_________________
Puppy Linux's Mission

Sorry, my server is down atm!
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
futurnet

Joined: 31 Jan 2009
Posts: 62
Location: Italy

PostPosted: Mon 28 Dec 2009, 09:20    Post subject:  

Sorry ecomoney for my late replay, but I was out for job some mounths.
I compiled Farsaight module in my MSn package.
Anyway, I try now my MSN sfs version and in puppy 4.31 seem work without problem, even when I setup the audio conversation, farsaight been loaded correctly. Farsaight is a module that allow audio conversation in MSN.
Maybe there is some some older library in your puppy version, but I am not an expert about farsaight, so I can't help you.
Back to top
View user's profile Send private message 
ecomoney


Joined: 25 Nov 2005
Posts: 2183
Location: Lincolnshire, England

PostPosted: Sat 02 Jan 2010, 05:06    Post subject:  

Hi futurenet, Ive been away myself for some time....its good to have lives to lead it makes for more rounded computer programmers! Thank you for testing on 4.3.1. Im using amsn in a netbooted environment, it may just be easier to shift the base of the system to 4.3.1 from the current 4.2.1 than play around with complicated library-thingies. I know gstreamer can be a pain. Cheers for what you do!
_________________
Puppy Linux's Mission

Sorry, my server is down atm!
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
dejujuy

Joined: 28 Feb 2010
Posts: 1
Location: Argentina

PostPosted: Sun 28 Feb 2010, 14:13    Post subject: aMsn 0.98B SVN 10952
Subject description: problen with gst plugin base
 

I have followed(continued) all the steps but after coming out gst-plugin-base into the moment of the installation it(he,she) generates mistake indicating that the installation to trumped with some other packages also tube problems but were solved unloading again the same ones is doubt if the problem is the package or is in my machine? Circle puppy 4.3 full installation in a pentium celeron with 380 of ram before installs java skype and pidgin in this order thank you

mensage original en español
he seguido todos los pasos pero luego de descargar gst-plugin-base en el momento de la instalacion genera error indicando que la instalacion a fallado
con algunos otros paquetes tambien tube problemas pero se solucionaron descargando de nuevo los mismos
¿ la duda es si el problema es el paquete o es en mi maquina? corro puppy 4.3 instalacion completa en un pentium celeron con 380 de ram
previamente instale java pidgin y skype en ese orden
gracias
Back to top
View user's profile Send private message Yahoo Messenger MSN Messenger 
yerc1

Joined: 09 Jan 2009
Posts: 58

PostPosted: Thu 25 Mar 2010, 13:55    Post subject: Re: aMsn 0.98B SVN 10952
Subject description: latest famous chat client
 

futurnet wrote:

================================================================

If you prefere I have made a simple SFS module so, now you don't need to make a long installation but simply load this module on puppy and you will have aMsn 0.98 working.
I didn't test on my computer. Please let me know if it work. Thanks.

aMsn-0.89B-SVN-I686_412.sfs

http://www.mediafire.com/?sharekey=b15ac125ddd000a361d4646c62b381cb9db31fe13ffdcc82c95965eaa7bc68bc


I am one of those who prefer SFS to pet.
Mounting the sfs on NOP413 (and later on NOP431) and then running "amsn" from terminal, I get this error: "./amsn: line 3: exec: wish: not found". (I already have 4 SFS loaded at boot, which is the maximum I believe, that's why I'm doing it this way). Am I doing it correctly from the terminal or is the SFS not working? Has anyone had success using the SFS?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [12 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0765s ][ Queries: 13 (0.0055s) ][ GZIP on ]